/* Import Google font - Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

body {
  background: #E3F2FD;
}
.chatbot {
  width: 100%;
  background: #fff;
  overflow: hidden;
  height: calc(100vh - 155px);
}
.chatbot header {
  padding: 0;
  position: relative;
  text-align: center;
  color: #fff;
}
.chatbot-header-text {
  text-align: center;
  font-size: 20px;
  font-weight: bold;
  margin: 0;
  color: black;
}
.chatbot .close-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 4px 4px 4px 18px;
  background-color: transparent;
  color: #21D4C8;
  font-size: 18px;
  font-weight: bold;
  line-height: 26px;
  border: solid 1px #21D4C8;
  border-radius: 26px;
  cursor: pointer;
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
}
.chatbot .close-btn i {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-left: 8px;
  padding: 7px;
  width: 39px;
  height: 39px;
  line-height: 39px;
  border-radius: 50%;
  color: white;
  background-color: #21D4C8;
  box-sizing: border-box;
}
.chatbot .close-btn svg {
  fill: white;
  line-height: 39px;
  width: 39px;
  height: 39px;
}
.chatbot .close-btn:hover {
  color: white;
  background: linear-gradient(180deg, #21D4C8 0%, #35F1E5 100%);
}
.chatbot .close-btn:hover i {
  background: white;
}
.chatbot .close-btn:hover svg {
  fill: #21D4C8;
}
.chatbot .close-btn:focus {
  outline: none;
  box-shadow: 0 0 0 3px rgba(33, 212, 200, 0.5); 
}

header h2 {
  font-size: 1.4rem;
}
.chatbot .chatbox {
  overflow-y: auto;
  height: calc(100vh - 315px);
  padding: 30px 20px 0;
}
.chatbot :where(.chatbox, textarea)::-webkit-scrollbar {
  width: 6px;
}
.chatbot :where(.chatbox, textarea)::-webkit-scrollbar-track {
  background: #fff;
  border-radius: 25px;
}
.chatbot :where(.chatbox, textarea)::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 25px;
}
.chatbox .chat {
  display: flex;
  list-style: none;
  padding: 1rem;
}

.chatbox .outgoing {
  margin: 20px 0;
  border-radius: 0.5rem;
  background-color: rgba(240, 242, 246, 0.5);
}
.chatbox .incoming .conversation-avatar > span {
  width: 32px;
  height: 32px;
  color: #fff;
  cursor: default;
  text-align: center;
  line-height: 32px;
  align-self: flex-end;
  background: #21d4c8;
  border-radius: 4px;
  margin: 0 10px 0px 0;
}
.chatbox .outgoing .conversation-avatar > span {
  width: 32px;
  height: 32px;
  color: #fff;
  cursor: default;
  text-align: center;
  line-height: 32px;
  align-self: flex-end;
  background: rgb(255, 108, 108);
  border-radius: 4px;
  margin: 0 10px 0px 0;
}
.chatbox .incoming .conversation-text label {
  margin-bottom: 0;
  padding-left: 0 !important;
  padding-right: 20px !important;
}
.chatbox .incoming .conversation-text .icon-plus, .chatbox .incoming .conversation-text .icon-minus {
  position: absolute;
  right: 0;
}
.chatbox .chat p {
  margin: 0;
}
.chatbot .chat-input {
  display: flex;
  position: absolute;
  bottom: 0;
  width: calc(100% - 30px);
  background: #fff;
  padding: 10px;
  flex-direction: column;
}
.chat-input .chat-input-wrapper {
  display: flex;
  flex-direction: row;
  border: 1px solid rgba(0,0,0,.1);
  border-radius: 1.5rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.chat-input .chat-input-text {
  height: 55px !important;
  width: 100%;
  border: none;
  outline: none;
  resize: none;
  max-height: 180px;
  padding: 10px;
}
.chat-input .chat-input-text textarea {
  height: 35px !important;
  width: 100%;
  border: none;
  outline: none;
  resize: none;
  max-height: 180px;
  line-height: 30px;
}
.chat-input .chat-input-send {
  align-self: flex-end;
  color: #21d4c8;
  cursor: pointer;
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.35rem;
  width: 55px;
}

.chat-input .chat-input-send #send-btn {
  padding: 8px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  background: #fff;
}

.chat-input .chat-input-text:valid ~ span {
  visibility: visible;
}

.chat-input .chat-input-disclaimer {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 0.75rem;
}

.chat-input .chat-input-disclaimer span {
  font-size: 1rem;
  line-height: 1rem;
  color: #5d5d5d;
}

.conversation-content {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.checkbox-container {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #cccc;
}
.chatbot > div.checkbox-container p {
  margin: 0;
}
.chatbot input[type="checkbox"] {
  width: 0;
  height: 0;
  visibility: hidden;
}
.chatbot label {
  height: 40px;
  display:block;
  position: relative;
  cursor: pointer;
  transition: 0.5s;
  padding: 0;
  font-size: inherit !important;
  padding: 15px !important;
}
.chatbot label.title {
  height: auto;
  line-height: 25px;
  color: black;
}
.chatbot label::after {
  content: "";
  width: 30px;
  height: 30px;
  background-color: transparent;
  position: absolute;
  border-radius: 70px;
  top: 5px;
  left: 7px;
  transition: 0.5s;
}

.chat-bot-product-collapse {
  border-bottom: 1px solid #B2C2C1;
}

.chatbot input:checked + label:after {
  left: calc(100% - 10px);
  transform: translateX(-100%);
}

.chatbot label:active:after {
  width: 160px;
}

.chat-bot-product-collapse .content {
  padding: 0 !important;
  z-index: unset;
  padding-left: 10px !important;
  padding-right: 10px !important;
}

.base-timer {
  position: relative;
  width: 50px;
  height: 50px;
}

.base-timer__svg {
  transform: scaleX(-1);
}

.base-timer__circle {
  fill: none;
  stroke: none;
}

.base-timer__path-elapsed {
  stroke-width: 7px;
  stroke: grey;
}

.base-timer__path-remaining {
  stroke-width: 7px;
  stroke-linecap: round;
  transform: rotate(90deg);
  transform-origin: center;
  transition: 1s linear all;
  fill-rule: nonzero;
  stroke: currentColor;
}

.base-timer__path-remaining.green {
  color: rgb(65, 184, 131);
}

.base-timer__path-remaining.orange {
  color: orange;
}

.base-timer__path-remaining.red {
  color: red;
}

.base-timer__label {
  position: absolute;
  width: 50px;
  height: 50px;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 28px;
}

.checkbox-container {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.item {
  margin-left: 10px;
  padding: 10px;
}

/* <div class="loader"></div> */
.chatbot .chatbot-loader {
  position: relative;
  min-height: 30px !important;
  width: 75px !important;
  aspect-ratio: 2.5;
  --_g: no-repeat radial-gradient(farthest-side,#000 90%,#0000);
  background: var(--_g), var(--_g), var(--_g), var(--_g);
  background-size: 20% 50%;
  animation: l43 1s infinite linear;
  opacity: 1 !important;
  visibility: visible !important;
  border-radius: 0;
  top: inherit;
  left: inherit;
  margin: 0;
}
@keyframes l43 {
  0%     {background-position: calc(0*100%/3) 50% ,calc(1*100%/3) 50% ,calc(2*100%/3) 50% ,calc(3*100%/3) 50% }
  16.67% {background-position: calc(0*100%/3) 0   ,calc(1*100%/3) 50% ,calc(2*100%/3) 50% ,calc(3*100%/3) 50% }
  33.33% {background-position: calc(0*100%/3) 100%,calc(1*100%/3) 0   ,calc(2*100%/3) 50% ,calc(3*100%/3) 50% }
  50%    {background-position: calc(0*100%/3) 50% ,calc(1*100%/3) 100%,calc(2*100%/3) 0   ,calc(3*100%/3) 50% }
  66.67% {background-position: calc(0*100%/3) 50% ,calc(1*100%/3) 50% ,calc(2*100%/3) 100%,calc(3*100%/3) 0   }
  83.33% {background-position: calc(0*100%/3) 50% ,calc(1*100%/3) 50% ,calc(2*100%/3) 50% ,calc(3*100%/3) 100%}
  100%   {background-position: calc(0*100%/3) 50% ,calc(1*100%/3) 50% ,calc(2*100%/3) 50% ,calc(3*100%/3) 50% }
}

.conversation-control-regenerate {
  display: flex;
  align-items: center; 
  justify-content: center;
  padding: 0;
  height: 30px;
  width: 30px;
  border-radius: 0.5rem;
  background-color: white;
  border: none;
}

.conversation-control-regenerate svg {
  height: 18px;
  width: 18px;
}

.conversation-control-regenerate:hover {
  background-color: #f9f9f9;
}

.conversation-control {
  margin-top: 10px;
}

.conversation-control {
  visibility: hidden;
}

.chatbot li:hover .conversation-control {
  visibility: visible;
}

.chatbot li:first-child .conversation-control {
  visibility: hidden !important;
}

.chatbot li:last-child .conversation-control {
  visibility: visible;
}

.chatbot .chatting .conversation-control-regenerate {
  display: none !important;
}

/* Mobile---- */
@media (max-width: 768px) {
  body {
    overflow: hidden;
    height: 100vh;
    touch-action: none;
  }

  .main {
    height: 100vh;
  }

  .chatbot-wrapper {
    position: flex;
    overflow: hidden;
    touch-action: none;
    top: 0;
    left: 0;
    width: 100%;
    height: calc(100dvh - 52px);
    z-index: 9999;
  }

  .chatbot {
    top: 52px;
    right: 0;
    bottom: 0;
    border-radius: 0;
    width: 100%;
    height: calc(100dvh - 52px);
  }
  .chatbot .chatbox {
    height: calc(100dvh - 250px);
    padding: 15px 10px 0;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
  }
  .chatbot .chat-input {
    padding: 5px 15px;
    bottom: 38px;
  }

  .col-sm-12 {
    padding-left: 0;
    padding-right: 0;
  }
}